diff
stringlengths
12
9.3k
message
stringlengths
8
199
reasoning_trace
null
repo
stringlengths
6
68
license
stringclasses
3 values
language
stringclasses
16 values
@@ -918,8 +918,6 @@ public class BpmnParse extends Parse { } else if (conditionEventDefinition != null) { startEventActivity.getProperties().set(BpmnProperties.TYPE, ActivityTypes.START_EVENT_CONDITIONAL); - ensureCondition(conditionEventDefinition); - ConditionalEventDefinition conditionalEventDefinition = parseCondit...
chore(engine): remove redundant check for condition
null
camunda/camunda-bpm-platform
Apache License 2.0
Java
@@ -173,7 +173,7 @@ where _origin: &T::Origin, _xtx_id: Option<&T::Hash>, ) -> Result<LocalStateExecutionView<T, Balance>, DispatchError> { - Err("Not implemented").map_err(|e| e.into()) + Err("Local State Not implemented").map_err(|e| e.into()) } } @@ -224,7 +224,7 @@ where fn invoke( _args: PrecompileArgs<T, Balance>...
chore: fix noops panicking
null
t3rn/t3rn
Apache License 2.0
Rust
@@ -22,6 +22,7 @@ module.exports = (env, args) => { libraryExport: 'default', path: path.join(__dirname, 'dist'), filename: 'toastui-date' + (minify ? '.min' : '') + '.js', + globalObject: 'this', }, module: { rules: [
chore: use 'this' as globalObject of
null
nhn/tui.calendar
MIT License
JavaScript
@@ -146,11 +146,19 @@ func ParseConfigLog(log map[string]interface{}) ConfigLog { utils.LogDebug(fmt.Sprintf("Unexpected type mismatch for ConfigLog, expected map[string]interface{}, got %T", log["user"])) utils.HandleError(errors.New("Unable to parse API response")) } + if user["email"] != nil { parsedLog.User.Email =...
chore: support parsing non-user logs
null
dopplerhq/cli
Apache License 2.0
Go
@@ -19,7 +19,6 @@ stream_auto_select_interval=$(uci -q get openclash.config.stream_auto_select_int NETFLIX_DOMAINS_LIST="/usr/share/openclash/res/Netflix_Domains.list" NETFLIX_DOMAINS_CUSTOM_LIST="/etc/openclash/custom/openclash_custom_netflix_domains.list" DISNEY_DOMAINS_LIST="/usr/share/openclash/res/Disney_Plus_Doma...
chore: remove the koolshare section
null
vernesong/openclash
MIT License
Shell
@@ -221,9 +221,9 @@ module HTMLProofer def html # If link is on the same page, then URL is on the current page so can use the same HTML as for current page - if (hash_link || param_link) && internal? + if (hash_link || param_link) @html - elsif slash_link && internal? + elsif slash_link # link on another page, e.g. /ab...
chore: remove redundant if-condition in html fun
null
gjtorikian/html-proofer
MIT License
Ruby
@@ -27,7 +27,22 @@ if sys.version_info < (3, 6): import io import os -from setuptools import setup +import setuptools + +# Disable version normalization performed by setuptools.setup() +try: + # Try the approach of using sic(), added in setuptools 46.1.0 + from setuptools import sic +except ImportError: + # Try the app...
chore: prevent normalization of semver versioning
null
googleapis/google-api-python-client
Apache License 2.0
Python
@@ -24,6 +24,8 @@ const rollupString = require('rollup-plugin-string'); const rollupTypescript = require('rollup-plugin-typescript2'); const rxjsTypes = new Set(['Observer']); +const stdio = ['ignore', 'inherit', 'inherit']; +const APP_ROOT_DIR = __dirname; const transformRxjsImportText = (importName) => importName ===...
chore(gulpfile): 'tidy' the gulpfile slightly
null
neo-one-suite/neo-one
MIT License
JavaScript
@@ -214,19 +214,15 @@ class RenderLayoutBox extends RenderBoxModel return _paintingOrder!; } - final List<RenderBox> order = <RenderBox>[]; - + if (childCount == 0) { // No child. - if (firstChild == null) { - return _paintingOrder = order; - } - + return _paintingOrder = const []; + } else if (childCount == 1) { // On...
chore: use childCount
null
openkraken/kraken
Apache License 2.0
Dart
@@ -13,6 +13,22 @@ import XCTest class ACHDirectDebitComponentTests: XCTestCase { + var analyticsProviderMock: AnalyticsProviderMock! + var adyenContext: AdyenContext! + + override func setUpWithError() throws { + try super.setUpWithError() + analyticsProviderMock = AnalyticsProviderMock() + adyenContext = Dummy.adyenC...
chore: Test ACH component sends telemetry event
null
adyen/adyen-ios
MIT License
Swift
@@ -1090,7 +1090,7 @@ def get_public_ip(timeout: float = 0.3): try: req = urllib.request.Request(url, headers={'User-Agent': 'Mozilla/5.0'}) with urllib.request.urlopen(req, timeout=timeout) as fp: - _ip = fp.read().decode() + _ip = fp.read().decode().strip() results.append(_ip) except:
chore: remove newline from public ip
null
jina-ai/jina
Apache License 2.0
Python
#define GOOGLE_CLOUD_CPP_SPANNER_GOOGLE_CLOUD_SPANNER_VERSION_INFO_H_ #define SPANNER_CLIENT_VERSION_MAJOR 0 -#define SPANNER_CLIENT_VERSION_MINOR 2 +#define SPANNER_CLIENT_VERSION_MINOR 3 #define SPANNER_CLIENT_VERSION_PATCH 0 #endif // GOOGLE_CLOUD_CPP_SPANNER_GOOGLE_CLOUD_SPANNER_VERSION_INFO_H_
chore: bump version number for next release. (googleapis/google-cloud-cpp-spanner#943)
null
googleapis/google-cloud-cpp
Apache License 2.0
C
@@ -118,7 +118,7 @@ export function updateExpectedPlayoutItemsOnPart( cache.defer(() => { const intermediaryItems = extractExpectedPlayoutItems(part, [ ...getAllPiecesFromCache(cache, part), - ...part.getAllAdLibPieces(), + ...getAllAdLibPiecesFromCache(cache, part), ]) const expectedPlayoutItems = wrapExpectedPlayoutI...
chore: use cache
null
nrkno/tv-automation-server-core
MIT License
TypeScript
@@ -108,8 +108,7 @@ class ScriptExecutionCallback : public blink::WebScriptExecutionCallback { } else { promise_.RejectWithErrorMessage( "Script failed to execute, this normally means an error " - "was thrown. Check the renderer console for the error." - "was thrown, check the renderer console for the error"); + "was t...
chore: fix duplicate error string
null
electron/electron
MIT License
C++
@@ -268,7 +268,9 @@ export class DtChart implements AfterViewInit, OnDestroy, OnChanges { private _update(redraw: boolean = true, oneToOne: boolean = true): void { if (this._chartObject) { this._setLoading(); - this._ngZone.runOutsideAngular(() => this._chartObject.update(this.highchartsOptions, redraw, oneToOne)); + t...
chore(chart): fix linting error
null
dynatrace-oss/barista
Apache License 2.0
TypeScript
@@ -24,38 +24,39 @@ if [ "$TRAVIS_BRANCH" == "$PUBLISH_BRANCH" ]; then echo "Push to master branch detected, signing the app..." # Retain apk files for testing mv app-debug.apk app-master-debug.apk - # Sign APK + # Generate temporary apk for signing cp app-release-unsigned.apk app-release-unaligned.apk + # Sign APK jar...
chore: generate apks
null
fossasia/pslab-android
Apache License 2.0
Shell
@@ -124,10 +124,12 @@ try { exports.getWhistlePath = getWhistlePath; exports.getDataDir = getDataDir; - +var async_id_symbol; +if (version[0] < 16) { try { - var async_id_symbol = process.binding('async_wrap').async_id_symbol; + async_id_symbol = process.binding('async_wrap').async_id_symbol; } catch (e) {} +} var empt...
chore: hide warnings
null
avwo/whistle
MIT License
JavaScript
@@ -6,7 +6,7 @@ import ( ) // BuildVersion is the version of goctl. -const BuildVersion = "1.4.0" +const BuildVersion = "1.4.1" var tag = map[string]int{"pre-alpha": 0, "alpha": 1, "pre-bata": 2, "beta": 3, "released": 4, "": 5}
chore: update go-zero to v1.4.1
null
zeromicro/go-zero
MIT License
Go
@@ -538,7 +538,7 @@ public class Bridge { * Evaluate JavaScript in the web view. This method * executes on the main thread automatically. * @param js the JS to execute - * @param callback an optional ValueCallback that will synchronously recieve a value + * @param callback an optional ValueCallback that will synchronou...
chore(android): Fix receive spelling in Javadoc
null
ionic-team/capacitor
MIT License
Java
@@ -76,35 +76,4 @@ public class SingleConsumerConditionTest { } } - @Test(timeout = 100000) - public void conditionStressTest() throws InterruptedException { - - final SingleConsumerCondition condition = new SingleConsumerCondition(Thread.currentThread()); - - final AtomicInteger signalCounter = new AtomicInteger(); - ...
chore(test): remove unstable test case
null
camunda/camunda-bpm-platform
Apache License 2.0
Java
# Fail on any error. set -o errexit -# Display commands being run. -set -o xtrace + gsutil -q cp "gs://ct4e-m2-repositories-for-kokoro/m2-cache.tar" - \ | tar -C "${HOME}" -xf - @@ -20,10 +19,6 @@ if [ -z "$CLOUDSDK_PYTHON" ]; then fi gcloud components install app-engine-java --quiet -echo "OAUTH_CLIENT_ID: ${OAUTH_CLI...
chore: remove release script secret logging
null
googlecloudplatform/google-cloud-eclipse
Apache License 2.0
Shell
@@ -151,7 +151,7 @@ class Episode extends Wrapper public function player($args = []) { // fixme: "publisher" key is for pwp plugin, figure out what to do with post_id - $allowed_keys = ["template", "config", "theme", "post_id", "publisher"]; + $allowed_keys = ["template", "config", "theme", "post_id", "publisher", "sho...
chore: add show to allowed player episode attributes
null
podlove/podlove-publisher
MIT License
PHP
@@ -15,4 +15,4 @@ if { $PROMPT != "" } { send "n\r" } -puts "\nIf this is not what you expected, ensure that your commit messages follow the Conventional Commits specification 'https://conventionalcommits.org' and try again.`" +puts "\nIf this is not what you expected, ensure that your commit messages follow the Conven...
chore(scripts): fix typo in prePr script
null
telus/tds-core
MIT License
Shell
@@ -337,6 +337,8 @@ describe('useQuery', () => { await waitForElement(() => rendered.getByText('todo aaaa')) + console.log(queryCache.queries) + // TODO: This passes in node 10 and 12 both locally and in CI, // but fails in CI when using node 12.... Not sure what to do here.
chore: Test strange test output in CI
null
tannerlinsley/react-query
MIT License
JavaScript
+#!/bin/sh +set -e + +yarn remove vue vue-jest vue-template-compiler babel-preset-es2015 +yarn add vue@3.1.2 @vue/server-renderer@3.1.2 vue-jest@5.0.0-alpha.10 vue-loader@16.1.2 jest@26.6.3 babel-jest@25.2.6 @babel/preset-env@7.14.5 @babel/plugin-transform-runtime@7.14.5 -D -E +echo "export * from './index-3';" > src/u...
chore(vue 3): extract commands as a file to run tests with vue 3 (algolia/vue-instantsearch#1023)
null
algolia/instantsearch.js
MIT License
Shell
@@ -30,6 +30,8 @@ import ( "gopkg.in/gookit/color.v1" ) +var printConfig = false + var rootCmd = &cobra.Command{ Use: "doppler", Short: "The official Doppler CLI", @@ -44,7 +46,6 @@ var rootCmd = &cobra.Command{ } // this output does not honor --silent - printConfig := utils.GetBoolFlagIfChanged(cmd, "print-config", fa...
chore: assign flag values directly
null
dopplerhq/cli
Apache License 2.0
Go
@@ -511,8 +511,8 @@ def get_full_version() -> Optional[Tuple[Dict, Dict]]: def format_full_version_info(info: Dict, env_info: Dict) -> str: - version_info = '\n'.join(f'{k:30s}{v}' for k, v in info.items()) - env_info = '\n'.join(f'{k:30s}{v}' for k, v in env_info.items()) + version_info = '\n'.join(f'- {k:30s}{v}' for...
chore: fix cli layout
null
jina-ai/jina
Apache License 2.0
Python
@@ -77,7 +77,7 @@ public void registerPlayerToTeam( team.setPrefix(AdventureSerializerUtil.serialize(group.prefix())); team.setSuffix(AdventureSerializerUtil.serialize(group.suffix())); // set the team color if possible - var teamColor = NamedTextColor.ofExact(this.getColorChar(group)); + var teamColor = NamedTextColor...
chore: replace small deprecated api usage
null
cloudnetservice/cloudnet-v3
Apache License 2.0
Java
@@ -610,7 +610,9 @@ impl<T: Config> Module<T> { let size: u32 = Self::redeem_transaction_size(); let satoshi_per_bytes: u32 = ext::oracle::satoshi_per_bytes::<T>().fast; - let fee = (size as u64) * (satoshi_per_bytes as u64); + let fee = (size as u64) + .checked_mul(satoshi_per_bytes as u64) + .ok_or(Error::<T>::Arithm...
chore: use checked math
null
interlay/interbtc
Apache License 2.0
Rust
@@ -62,7 +62,7 @@ extension UIView { /// :nodoc: @objc internal func animate(context: AnimationContext) { - if animationsMap[context.animationKey] == true { + if animationsMap.contains(context.animationKey) { perform(#selector(animate(context:)), with: context, afterDelay: 0.1) return } @@ -71,7 +71,7 @@ extension UIVi...
chore: small refactoring in UIViewAnimation to use a set of keys insteadof a dictionary
null
adyen/adyen-ios
MIT License
Swift
@@ -2424,28 +2424,25 @@ public class GitServiceCEImpl implements GitServiceCE { Boolean isRepoPrivate, Boolean isSystemGenerated) { GitApplicationMetadata gitData = application.getGitApplicationMetadata(); - String defaultApplicationId = gitData == null || StringUtils.isEmptyOrNull(gitData.getDefaultApplicationId()) - ...
chore: Add branch name param for git analytics events
null
appsmithorg/appsmith
Apache License 2.0
Java
@@ -108,7 +108,7 @@ module Discordrb # @return [true, false] whether this member has the specified role. def role?(role) role = role.resolve_id - @role_ids.any? { |e| e == role } + @role_ids.any?(role) end # @see Member#set_roles
chore: appease rubocop
null
shardlab/discordrb
MIT License
Ruby
@@ -59,6 +59,8 @@ public interface OrderedSet<E> extends Set<E> { * @param index index of the element to return * @return the element at the specified position in this set * @throws IndexOutOfBoundsException if the index is out of range + * @throws IllegalArgumentException if the index is within range, but the + * corr...
chore(commons): Clarify thrown exceptions in OrderedSet's javadoc
null
b2ihealthcare/snow-owl
Apache License 2.0
Java
@@ -83,7 +83,7 @@ extension Web3 { /// Elements of "parameters" can be other arrays or instances of String, Data, BigInt, BigUInt, Int or EthereumAddress. /// /// Returns a "Transaction intermediate" object. - public func createReadOperation(_ method: String = "fallback", parameters: [Any] = [Any](), extraData: Data = ...
chore: replaced [Any]() with [] for default parameter value
null
skywinder/web3swift
Apache License 2.0
Swift
@@ -784,7 +784,7 @@ def extract_messages_from_javascript_code(code: str) -> list[tuple[int, str, str return messages -def extract_javascript(code, keywords=("__"), options=None): +def extract_javascript(code, keywords=("__",), options=None): """Extract messages from JavaScript source code. This is a modified version of...
chore: correct default arg for extract_javascript
null
frappe/frappe
MIT License
Python
@@ -598,8 +598,12 @@ do end #ws-opts-headers: if Value['proxies'][$count]['ws-opts'].key?('headers') then - ws_opts_headers = '${uci_set}ws_opts_headers=\"' + Value['proxies'][$count]['ws-opts']['headers'].to_s + '\"' + system '${uci_del}ws_opts_headers >/dev/null 2>&1' + Value['proxies'][$count]['ws-opts']['headers']....
chore: support trojan websocket
null
vernesong/openclash
MIT License
Shell
{ public static class ApplicationSettings { - public static string version = "0.6.2"; + public static string version = "0.6.3"; } public static class Environment
chore: update build version to v 0.6.3
null
decentraland/explorer
Apache License 2.0
C#
-package main - -import ( - "fmt" - "os" - "path/filepath" - - "github.com/infracost/infracost/internal/config" - "github.com/infracost/infracost/internal/ui" - log "github.com/sirupsen/logrus" - "github.com/spf13/cobra" - "github.com/spf13/pflag" -) - -func addRootDeprecatedFlags(cmd *cobra.Command) { - cmd.Flags().St...
chore: remove deprecated root command
null
infracost/infracost
Apache License 2.0
Go
@@ -2,10 +2,10 @@ package utils import ( "net" + "net/http" "strings" "sync" - "github.com/gin-gonic/gin" tnet "github.com/toolkits/net" ) @@ -52,8 +52,8 @@ func GetInternalIP() string { } // GetRealIP get user real ip -func GetRealIP(ctx *gin.Context) (ip string) { - var header = ctx.Request.Header +func GetRealIP(r *...
chore: replace gin.Request with http.Request
null
go-eagle/eagle
MIT License
Go
@@ -1533,7 +1533,7 @@ namespace Unity.Netcode { if (!IsServer) { - throw new NotServerException("Only server can disconnect remote clients. Use StopClient instead."); + throw new NotServerException($"Only server can disconnect remote clients. Please use `{nameof(Shutdown)}()` instead."); } OnClientDisconnectFromServer(...
chore: fix minor typo in exception message
null
unity-technologies/com.unity.multiplayer.mlapi
MIT License
C#
@@ -41,7 +41,7 @@ public extension AdyenScope where Base: UIViewController { func present(_ viewController: UIViewController, animated: Bool, completion: (() -> Void)? = nil) { if topPresenter.isBeingPresented || topPresenter.isBeingDismissed { DispatchQueue.main.asyncAfter(deadline: .now() + .milliseconds(10)) { - pre...
chore: small fix in UIViewControllerHelpers.swift
null
adyen/adyen-ios
MIT License
Swift
@@ -3,6 +3,7 @@ package com.vaadin.flow.spring.security; import javax.servlet.http.HttpServletRequest; import javax.servlet.http.HttpServletResponse; +import org.slf4j.LoggerFactory; import org.springframework.beans.factory.annotation.Autowired; import org.springframework.security.web.savedrequest.HttpSessionRequestCac...
chore: Log saved requests to ease debugging
null
vaadin/flow
Apache License 2.0
Java
@@ -49,7 +49,7 @@ fi if [[ $# == 2 ]]; then echo "WARNING: using custom checkout path $CHECKOUT_PATH" CHECKOUT_PATH=$2 - FRIENDLY_CHECKOUT_PATH="<custom_checkout>" + FRIENDLY_CHECKOUT_PATH="<custom_checkout('$2')>" fi # if there's no checkout folder - checkout one. @@ -72,7 +72,7 @@ fi cd $CHECKOUT_PATH # Bail out if g...
chore(scripts): ignore untracked files and print custom checkout path in logs
null
microsoft/playwright
Apache License 2.0
Shell
export default (part) => { - let { Point, points, Path, paths, Snippet, snippets } = part.shorthand() + const { Point, points, Path, paths } = part.shorthand() points.left = new Point(10,10) points.dartLeft = new Point(40, 10)
chore(example): Cleaned up example
null
freesewing/freesewing
MIT License
JavaScript
@@ -9,7 +9,7 @@ version = "1.0-SNAPSHOT" repositories { mavenCentral() - maven("https://s01.oss.sonatype.org/content/repositories/snapshots/") //todo replace when otel is not shnapshot + // maven("https://s01.oss.sonatype.org/content/repositories/snapshots/") //todo replace when otel is not shnapshot maven("https://rep...
chore(otel-java): update deps in example
null
pyroscope-io/pyroscope
Apache License 2.0
Kotlin
@@ -237,7 +237,7 @@ func (s *Storage) iterateOverAllSegments(cb func(*segment.Key) error) error { for _, r := range dimension.Union(dimensions...) { k, err := segment.ParseKey(string(r)) if err != nil { - s.logger.WithError(err).Error("failed to parse segment key") + s.logger.WithError(err).WithField("key", string(r))....
chore: log raw segment key value if it can't be parsed
null
pyroscope-io/pyroscope
Apache License 2.0
Go
@@ -64,7 +64,7 @@ type SearchProps = React.InputHTMLAttributes<HTMLInputElement> & { placeholder: string; /* @TODO Revisit post-EPL */ /* eslint-disable-next-line @typescript-eslint/no-explicit-any */ - onSubmit: (e: React.FormEvent<HTMLFormElement>) => void; + onSubmit: (e: any) => any; }; export const Search: React.F...
chore(header): revert
null
coingaming/moon-design
MIT License
TypeScript
@@ -606,8 +606,15 @@ gulp.task('deploy:demo', (cb) => { // Test Tasks ///////////////////////////////////////////////////////////////////////////// gulp.task('test', (cb) => { - const ENV = process.env.NODE_ENV = process.env.ENV = 'test'; - startKarmaServer(false, true, cb); + let isTravis = !!process.env.TRAVIS; + ret...
chore(package): updated test scripts to be compatible with jest
null
anthonynahas/ngx-auth-firebaseui
MIT License
JavaScript
@@ -33,7 +33,7 @@ const addTab = ( state, tab ) => { const faviconPath = isRunningUnpacked ? '../resources/favicon.ico' - : '../favicon.ico'; + : '../../favicon.ico'; const newTab = { url: tabUrl,
chore(favicon): Update path to tab favicon in packaged app
null
maidsafe/sn_browser
BSD 3-Clause New or Revised License
TypeScript
// Code generated by tutone: DO NOT EDIT package installevents +import "context" + func (a *Installevents) CreateInstallEvent( input InstallStatus, ) (*InstallEvent, error) { + return a.CreateInstallEventWithContext(context.Background(), + input, + ) +} + +func (a *Installevents) CreateInstallEventWithContext( + ctx co...
chore(installevents): include context methods from tuton template updates
null
newrelic/newrelic-client-go
Apache License 2.0
Go
@@ -4,15 +4,48 @@ set -e # Any subsequent(*) commands which fail will cause the shell script to ex PROJECT_NAME=TempProject +rm -rf $PROJECT_NAME + mkdir -p $PROJECT_NAME && cd $PROJECT_NAME # Create a new Xcode project. swift package init + +# Create the Package.swift. +echo "// swift-tools-version:5.3 +// The swift-t...
chore: fixed test-CocoaPods-integration.sh to make sure the generated temp project has deployment target iOS 11
null
adyen/adyen-ios
MIT License
Shell
@@ -9,8 +9,8 @@ import { Box, Spacer, } from "@artsy/palette" -import { ReactElement } from "react"; -import * as React from "react"; +import { ReactElement } from "react" +import * as React from "react" import { Media } from "v2/Utils/Responsive" export const PriceDatabaseBenefits: React.FC = () => { @@ -28,7 +28,7 @@...
chore: update copy on price-database
null
artsy/force
MIT License
TypeScript
set -e -go build -gcflags "all=-N -l" -o /tmp/networking-debug ./cmd/nw-debug +go build -gcflags "all=-N -l" -o /tmp/nw-debug ./cmd/networking-debug dlv exec --api-version 2 --headless --listen 127.0.0.1:2345 /tmp/nw-debug -- "$@"
chore: fix networking-debug.sh
null
caos/orbos
Apache License 2.0
Shell
+/* + * Copyright 2019-2022 CloudNetService team & contributors + * + * Licensed under the Apache License, Version 2.0 (the "License"); + * you may not use this file except in compliance with the License. + * You may obtain a copy of the License at + * + * http://www.apache.org/licenses/LICENSE-2.0 + * + * Unless requi...
chore(launcher): Add detection if CloudNet is already running
null
cloudnetservice/cloudnet-v3
Apache License 2.0
Java
@@ -265,7 +265,7 @@ def PretrainedSpeakerEmbedding(embedding: PipelineModel, device: torch.device = >>> embeddings = get_embedding(waveforms, masks=masks) """ - if isinstance(embedding, str) and embedding.split("/")[0] == "speechbrain": + if isinstance(embedding, str) and "speechbrain" in embedding: return SpeechBrainP...
chore: relax speechbrain embeddings naming convention
null
pyannote/pyannote-audio
MIT License
Python
@@ -2,19 +2,17 @@ const decoder = new TextDecoder(); const encoder = new TextEncoder(); export { decoder, encoder }; -export { STATUS_TEXT } from "https://deno.land/std@0.138.0/http/http_status.ts"; +export { STATUS_TEXT } from "https://deno.land/std@0.139.0/http/http_status.ts"; export { deleteCookie, getCookies, setC...
chore: dmm update
null
drashland/deno-drash
MIT License
TypeScript
@@ -7,6 +7,7 @@ import java.util.HashMap; import java.util.List; import java.util.Map; +import org.camunda.bpm.engine.ProcessEngineConfiguration; import org.camunda.bpm.engine.RuntimeService; import org.camunda.bpm.engine.batch.Batch; import org.camunda.bpm.engine.history.UserOperationLogEntry; @@ -14,6 +15,7 @@ import...
chore(test): set required history level to full
null
camunda/camunda-bpm-platform
Apache License 2.0
Java
@@ -65,8 +65,8 @@ import dev.hilla.exception.EndpointException; */ @RestController @Import({ EndpointControllerConfiguration.class, EndpointProperties.class }) -@NpmPackage(value = "@hilla/frontend", version = "1.1.0-beta3") -@NpmPackage(value = "@hilla/form", version = "1.1.0-beta3") +@NpmPackage(value = "@hilla/front...
chore: Upgrade Hilla to 1.1 rc1
null
vaadin/flow
Apache License 2.0
Java
@@ -70,6 +70,7 @@ func DefaultOptions() *Options { Pidfile: "", Logfile: "", MTLs: false, + MTLsOptions: &MTLsOptions{}, auth: true, MaxRecvMsgSize: 1024 * 1024 * 4, // 4Mb NoHistograms: false,
chore(pkg/server): initialize mts options
null
codenotary/immudb
Apache License 2.0
Go
-import React from 'react' -import { useState } from 'react' -import { useRouter } from 'next/router' -import Link from 'next/link' -// Shared components -import Logo from 'shared/components/logos/freesewing.js' -import PrimaryNavigation from 'shared/components/navigation/primary' -import get from 'lodash.get' -import ...
chore(shared): Don't share layouts
null
freesewing/freesewing
MIT License
JavaScript
@@ -70,6 +70,10 @@ public @interface JsModule { /** * JavaScript module to load before using the annotated {@link Component} in * the browser. + * <p> + * NOTE: In the case of using JsModule with LitTemplate, the value needs to + * point to a real file as it will be copied to the templates folder under + * target folde...
chore: Add note about restriction regarding LitTemplate
null
vaadin/flow
Apache License 2.0
Java
public final class NPCCommand extends BaseTabExecutor { - private static final Material[] MATERIALS = Material.values(); + private static final List<String> MATERIAL_NAMES = Arrays.stream(Material.values()).map(Material::name).toList(); private static final List<String> TRUE_FALSE = Arrays.asList("true", "yes", "y", "f...
chore: optimize npc command a bit
null
cloudnetservice/cloudnet-v3
Apache License 2.0
Java
+/* + * Copyright 2021 Amazon.com, Inc. or its affiliates. All Rights Reserved. + * + * Licensed under the Apache License, Version 2.0 (the "License"). + * You may not use this file except in compliance with the License. + * A copy of the License is located at + * + * http://aws.amazon.com/apache2.0 + * + * or in the "...
chore: add hosted-ui redirect activity with amplify namespace
null
aws-amplify/amplify-android
Apache License 2.0
Java
@@ -27,8 +27,13 @@ cd ${curDir} # # init configured variables # +test -e ${CONFIGURED_VARIABLES_FILE} || (echo "ERROR: must execute './configure' before '$0'" && exit 2) . ${CONFIGURED_VARIABLES_FILE} +# +# ============================================================================= +# + BIN_DIR=${BUILD_GOPATH}/bin PK...
chore: run.sh must be executed after confiugre
null
dragonflyoss/dragonfly
Apache License 2.0
Shell
@@ -15,28 +15,6 @@ func main() { Short: "Immu gateway", Long: `Immu gateway is an intelligent proxy for immudb. It expose all gRPC methods with a rest interface and wrap SAFESET and SAFEGET endpoints with a verification service.`, RunE: func(cmd *cobra.Command, args []string) error { - return serve(cmd, args) - }, - } ...
chore(cmd/immugw): Use default options values
null
codenotary/immudb
Apache License 2.0
Go
@@ -54,9 +54,13 @@ import com.b2international.snowowl.snomed.datastore.index.entry.SnomedDescriptio import com.b2international.snowowl.snomed.datastore.index.entry.SnomedDocument; /** + * SNOMED CT Concept search request implementation. + * + * NOTE: Intentionally not a final class. Plug-in developers may subclass it t...
chore(snomed): remove final modifier from SnomedConceptSearchRequest
null
b2ihealthcare/snow-owl
Apache License 2.0
Java
@@ -3,7 +3,7 @@ import org.jetbrains.kotlin.gradle.tasks.KotlinCompile plugins { application kotlin(Plugins.Kotlin.PLUGIN_JVM) - id(Plugins.PLUGIN_SHADOW_JAR) version Versions.SHADOW + // id(Plugins.PLUGIN_SHADOW_JAR) version Versions.SHADOW } application { @@ -21,53 +21,56 @@ dependencies { implementation(project(":co...
chore: Speeds up build disabling shardowJar plugin for :corellium:sandbox
null
flank/flank
Apache License 2.0
Kotlin
@@ -22,13 +22,10 @@ class TimePicker extends Input ?string $hint = null, ?string $cornerHint = null, ?string $icon = null, - ?string $rightIcon = null, ?string $prefix = null, - ?string $suffix = null, - ?string $prepend = null, - ?string $append = null + ?string $prepend = null ) { - parent::__construct($color, $label...
chore: remove non-used props
null
wireui/wireui
MIT License
PHP
@@ -4,7 +4,7 @@ namespace DCL.Configuration { public static class ApplicationSettings { - public static string version = "0.7.2"; + public static string version = "0.7.3"; } public static class Environment
chore: update build version 0.7.3
null
decentraland/explorer
Apache License 2.0
C#
@@ -41,7 +41,7 @@ class ComponentManagerTests: XCTestCase { ] ] - func testClientKeyInjection() throws { + func testClientKeyInjectionAndProtocolConfromance() throws { let paymentMethods = try Coder.decode(dictionary) as PaymentMethods let payment = Payment(amount: Payment.Amount(value: 20, currencyCode: "EUR"), countr...
chore: added test case to test component protocol conformance
null
adyen/adyen-ios
MIT License
Swift
@@ -20,6 +20,33 @@ class ViewController: UIViewController { player.attachTo(playerContainer, controller: self) } + override func viewWillAppear(_ animated: Bool) { + super.viewWillAppear(animated) + NotificationCenter.default.addObserver(self, selector: #selector(rotated), name: .UIDeviceOrientationDidChange, object: n...
chore: set sample to fullscreen when device changes the orientation to landascapeLeft. this was aded to create uitest for setFullscreen
null
clappr/clappr-ios
BSD 3-Clause New or Revised License
Swift
@@ -445,10 +445,10 @@ public class PropServerConfiguration implements ServerConfiguration { int cpuAvailable = Runtime.getRuntime().availableProcessors(); int cpuUsed = 0; int cpuSpare = 0; - if (cpuAvailable > 8) { - cpuSpare = 1; - } else if (cpuAvailable > 16) { + if (cpuAvailable > 16) { cpuSpare = 2; + } else if (...
chore(core): fix spare cores branches
null
questdb/questdb
Apache License 2.0
Java
@@ -176,13 +176,6 @@ macro_rules! msg_invalid_input { }; } -#[macro_export] -macro_rules! snippet_no_file_at_path { - ($path:expr) => { - format!("nonexistent path {}", $path) - }; -} - // -- message templates : invalid input : flag #[macro_export] @@ -229,55 +222,6 @@ macro_rules! msg_opt_invalid_should_be { }; } -// ...
chore: delete unused macros
null
uutils/coreutils
MIT License
Rust
@@ -25,7 +25,10 @@ const errorParser = ({ err }) => { let structured for (const { regex, cb } of handlers) { - const matched = err.message.match(regex) + if (Array.isArray(err)) { + err = err[0] + } + const matched = err.message?.match(regex) if (matched) { structured = { ...cb(matched),
chore(gatsby): Fix case where the error parser receives an array
null
gatsbyjs/gatsby
MIT License
JavaScript
@@ -332,6 +332,7 @@ module Discordrb::API::Channel end # Create an empty group channel. + # @deprecated Discord no longer supports bots in group DMs, this endpoint was repurposed and no longer works as implemented here. # https://discord.com/developers/docs/resources/user#create-group-dm def create_empty_group(token, b...
chore: Deprecate group DM endpoint methods
null
shardlab/discordrb
MIT License
Ruby
@@ -32,7 +32,9 @@ test -e ${CONFIGURED_VARIABLES_FILE} || (echo "ERROR: must execute './configure' # # ============================================================================= -# +# scripts' variables + +export GOPATH=${BUILD_GOPATH}:${GOPATH} BIN_DIR=${BUILD_GOPATH}/bin PKG_DIR=${BUILD_GOPATH}/package @@ -41,6 +4...
chore: export GOPATH in the beginning of run.sh
null
dragonflyoss/dragonfly
Apache License 2.0
Shell
@@ -9,4 +9,4 @@ SCRIPT_PATH="$(cd "$(dirname "$0")" >/dev/null 2>&1 && pwd)" cd "$SCRIPT_PATH/../../tests" || exit echo "Starting databend-test" -./databend-test --mode 'cluster' --run-dir 0_stateless +./databend-test --mode 'cluster' --run-dir 0_stateless --skip '13_0004_q4'
chore(test): skip tpch q4 in cluster mode
null
datafuselabs/databend
Apache License 2.0
Shell
@@ -26,8 +26,11 @@ if [ ! -d typewiz ]; then if [ $(uname) = Linux ] && [ -n "$TRAVIS_JOB_ID" ]; then # travis is running an older yarn. see https://github.com/travis-ci/travis-ci/issues/9445 # typewiz needs yarn >= 1.5.1; travis right now has 1.3.2 in /usr/local/bin/yarn + sudo apt-key adv --keyserver keyserver.ubuntu...
chore: hack for git-lfs versus travis
null
ibm/kui
Apache License 2.0
Shell
@@ -146,22 +146,22 @@ func (d *db) SQLQuery(req *schema.SQLQueryRequest) (*schema.SQLQueryResult, erro } func typedValueToRowValue(tv sql.TypedValue) *schema.RowValue { - switch v := tv.(type) { - case *sql.Number: + switch tv.Type() { + case sql.IntegerType: { - return &schema.RowValue{Operation: &schema.RowValue_N{N:...
chore(pkg/database): typed-value proto conversion
null
codenotary/immudb
Apache License 2.0
Go
@@ -635,6 +635,6 @@ public class BoundaryTimerNonInterruptingEventTest extends PluggableProcessEngin TimerEntity secondTimerJob = (TimerEntity) managementService.createJobQuery().singleResult(); currentTime.add(Calendar.HOUR, 3); assertEquals("R3/PT3H", secondTimerJob.getRepeat()); - assertEquals(currentTime.getTime(),...
chore(engine): refactor test assertion to ignore milliseconds
null
camunda/camunda-bpm-platform
Apache License 2.0
Java
@@ -61,7 +61,7 @@ export default function useControlledPointsStore() { ); } } catch (error) { - console.error(error); + console.error('failed to fetch controlled points', error); _setControlledPoints(Just(Result.Error(error))); } }, [contracts, wallet]);
chore: address PR feedback
null
urbit/bridge
MIT License
JavaScript
@@ -3,7 +3,7 @@ from conans import ConanFile, VisualStudioBuildEnvironment, CMake, tools class CbindgenTestConan(ConanFile): name = "pact_mock_server_ffi" - version = "0.0.1" + version = "0.0.2" description = "Pact/Rust FFI bindings" url = "https://github.com/pact-foundation/pact-reference" license = "MIT"
chore: bump version in conan package
null
pact-foundation/pact-reference
MIT License
Python
@@ -668,7 +668,7 @@ public abstract class ProcessEngineConfigurationImpl extends ProcessEngineConfig protected boolean enableExpressionsInStoredQueries = true; /** - * If true, enables protection against XML eXternal Entity (XXE) Processing attacks. + * If false, disables XML eXternal Entity (XXE) Processing. This prov...
chore(javadoc): update javadoc for new XXE Processing property
null
camunda/camunda-bpm-platform
Apache License 2.0
Java
@@ -4,6 +4,9 @@ set -ev # exit when error VERSION=preview-$(json version < package.json) +# Build instantsearch.js library +NODE_ENV=production VERSION=${VERSION} npm run build + # Build the documentation rm -rf docs-preview ( @@ -20,9 +23,7 @@ for example in docs_preview/examples/*; do fi done - -# Build instantsearch...
chore(build-doc): fix the deploy preview script
null
algolia/instantsearch.js
MIT License
Shell
@@ -63,7 +63,6 @@ fn entry() -> ! { // - ockam::node entrypoint --------------------------------------------------- use ockam::{ - authenticated_storage::InMemoryStorage, identity::{Identity, TrustEveryonePolicy}, route, vault::Vault, @@ -78,24 +77,18 @@ async fn main(mut ctx: Context) -> Result<()> { // Create an Iden...
chore(rust): fix no_std example
null
ockam-network/ockam
Apache License 2.0
Rust
@@ -33,4 +33,11 @@ printf "export default %s" "$COMPONENT" } > $COMPONENT.jsx touch $COMPONENT.md + +{ +printf "\`\`\`\n" +printf "<%s> %s </%s>\n" "$COMPONENT" "$COMPONENT" "$COMPONENT" +printf "\`\`\`\n" +} > $COMPONENT.md + touch $COMPONENT.modules.scss
chore(scaffold): populate .md file with default content
null
telus/tds-core
MIT License
Shell
@@ -35,7 +35,7 @@ const ModalTrigger = () => { <Option value="butler">Octavia Butler</Option> <Option value="coates">Ta-Nehisi Coates</Option> <Option value="lorde">Audre Lorde</Option> - <Option value="waters">Alice Waters</Option> + <Option value="nnedi">Nnedi Okorafor</Option> </Select> </ModalBody>
chore(website): changing the names in some examples
null
twilio-labs/paste
MIT License
TypeScript
@@ -147,9 +147,16 @@ func BenchmarkLog2bits(b *testing.B) { } } -func BenchmarkAppend(b *testing.B) { +func BenchmarkAppendMem(b *testing.B) { s := NewMemStore() for i := 0; i < b.N; i++ { Append(s, []byte{0, 1, 3, 4, 5, 6, 7}) } } + +func BenchmarkAppendMap(b *testing.B) { + s := NewMapStore() + for i := 0; i < b.N; i...
chore(tree): add map store test
null
codenotary/immudb
Apache License 2.0
Go
@@ -47,6 +47,9 @@ export default ({ mode }) => { 'oasis-engine': ['oasis-engine'], '@oasis-engine/spine': ['@oasis-engine/spine'], '@babel/standalone': ['@babel/standalone'] + }, + chunkFileNames() { + return 'assets/modules/[name]-[hash].js' } }, }
chore: add chunkFileNames
null
oasis-engine/oasis-engine.github.io
MIT License
TypeScript
# Normalize params [ ! -z "$1" ] && PACKAGE_VERSION="$1" || PACKAGE_VERSION=$NPM_PACKAGE_VERSION; -[ ! -z "$2" ] && CANARY="--canary=beta" || CANARY=""; +[ ! -z "$2" ] && [ "$2" != "null" ] && CANARY="--canary=beta" || CANARY=""; if [ -f $PACKAGE_VERSION ]; then echo "You must specify a version to release" @@ -24,4 +24...
chore: fix nullable ci value
null
salesforce/lwc
MIT License
Shell
@@ -188,7 +188,8 @@ func (i *RecipeInstaller) Install() error { if i.SkipInfraInstall { i.status.ReportRecipeSkipped(execution.RecipeStatusEvent{Recipe: *infraAgentRecipe}) - } else { + } + if i.ShouldInstallInfraAgent() { log.Debugf("Installing infrastructure agent") entityGUID, err = i.executeAndValidateWithProgress(...
chore(install): one less logic nest after review feedback
null
newrelic/newrelic-cli
Apache License 2.0
Go
@@ -2,13 +2,10 @@ const balanceRowTestId = '[data-testid=balance-row]' const TEST_SAFE = 'rin:0x11Df0fa87b30080d59eba632570f620e37f2a8f7' const ASSETS_LENGTH = 7 -const DAI_ROW_NUMBER = 0 -const WETH_ROW_NUMBER = 1 -const USDC_ROW_NUMBER = 2 +const ASSET_NAME_COLUMN = 0 const TOKEN_AMOUNT_COLUMN = 1 const FIAT_AMOUNT_C...
chore: get assets row by contained text instead of index
null
gnosis/safe-react
MIT License
JavaScript
@@ -62,7 +62,7 @@ class BasicLocalNodeTests: LocalTestCase { print("Balance before to: " + balanceBeforeTo.description) print("Balance before from: " + balanceBeforeFrom.description) - let result = try! await sendTx.writeToChain(password: "web3swift") + let result = try await sendTx.writeToChain(password: "web3swift") ...
chore: removed force try!
null
skywinder/web3swift
Apache License 2.0
Swift
+import usePatients from '../../../patients/hooks/usePatients' +import PatientSearchRequest from '../../../patients/models/PatientSearchRequest' +import PatientRepository from '../../../shared/db/PatientRepository' +import Patient from '../../../shared/model/Patient' +import executeQuery from '../use-query-test-util' +...
chore: add tests for use patients
null
hospitalrun/hospitalrun-frontend
MIT License
TypeScript
@@ -771,6 +771,7 @@ macro_rules! wlnerr( #[cfg(feature = "debug")] #[cfg_attr(feature = "debug", macro_use)] +#[cfg_attr(feature = "debug", allow(unused_macros))] mod debug_macros { macro_rules! debugln { ($fmt:expr) => (println!(concat!("DEBUG:clap:", $fmt)));
chore: silences unused macro warning for debug macros
null
clap-rs/clap
Apache License 2.0
Rust
@@ -283,8 +283,8 @@ type VeleroConfig struct { // AutoUpdateConfig contains auto update config type AutoUpdateConfig struct { - // Suspend autoupdate - Suspend bool `json:"suspend"` + // Enabled autoupdate + Enabled bool `json:"enabled"` // Schedule cron of auto updates Schedule string `json:"schedule"` } @@ -314,7 +31...
chore: make autoupdate switch consistent
null
jenkins-x/jx
Apache License 2.0
Go
@@ -99,10 +99,6 @@ describe("Service Detail Page", function() { .should("contain", "Host Port") .and("contain", "Auto Assigned"); - cy.get(".table-row") - .should("contain", "Service Port") - .and("contain", "-"); - cy.get(".table-row") .should("contain", "Load Balanced Address") .and("contain", "new-service-1.marathon...
chore: update integration test
null
dcos/dcos-ui
Apache License 2.0
JavaScript
package org.camunda.bpm.qa.rolling.update.variable; import static org.hamcrest.CoreMatchers.is; -import static org.hamcrest.CoreMatchers.nullValue; import static org.junit.Assert.assertThat; -import org.camunda.bpm.engine.impl.db.sql.DbSqlSessionFactory; import org.camunda.bpm.engine.runtime.VariableInstance; import or...
chore(qa): adjust Oracle empty string test for 7.16
null
camunda/camunda-bpm-platform
Apache License 2.0
Java
@@ -7,7 +7,7 @@ sleep 15 N_CONTAINERS_RUNNING=$(docker ps --filter "status=running" | grep vulnerability-assessment-tool | awk '{print $1}' | wc -l) -if [ ${N_CONTAINERS_RUNNING} -eq 7 ] +if [ ${N_CONTAINERS_RUNNING} -eq 8 ] then exit 0 else
chore(travis): increase number of alive containers to 8
null
eclipse/steady
Apache License 2.0
Shell
@@ -241,7 +241,7 @@ impl Permissions { if parsed.host().is_none() { return Err(custom_error( "URIError", - "invalid urlormat: <scheme>://<host>[:port][/subpath]", + "invalid url format: <scheme>://<host>[:port][/subpath]", )); } Ok(self.query_net(
chore(runtime): fix typo
null
denoland/deno
MIT License
Rust